$(function() {
	$(document).on('click', '.js-load-rotation', function() {
		var self = $(this);
		var pageNumber = self.data('page') ^ 0;
		if ($(this).hasClass('onload')) {
			return;
		}

		$(this).addClass('onload');
		$.get('/api?method=Dodji.api_getRotation', {
			page: pageNumber
		}, function(response) {
			if (response.success) {
				$('.js-rotation-container').append(response.content);
			}
			self.removeClass('onload').data('page', 1 + pageNumber);
		}, 'json');
	});
});